#  WAeUP CMS Product
#  Archetypes based content types for the West African e-University Project web portal
#  Copyright (c) 2005 WAeUP
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""

$Id: $
"""
__author__  = 'Henrik Bettermann'
__docformat__ = 'restructuredtext'

from Products.waeup_cms.config import SKINS_DIR
from Products.waeup_cms.config import GLOBALS
from Products.waeup_cms.config import PROJECTNAME

from Globals import package_home
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.public import listTypes
from Products.Archetypes.public import process_types

import Products.waeup_cms.contents

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):


    listOfTypes = listTypes(PROJECTNAME)

    content_types, constructors, ftis = process_types(
        listOfTypes,
        PROJECTNAME)

    # other
    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types = content_types,
        extra_constructors = constructors,
        fti = ftis,
        ).initialize(context)
